List knowledge store items
Returns a list of items in the specified knowledge store.
Authentication
x-api-keystring
Your API key.
<Note title="Note">
You can find your API key on the <a href="https://playground.twelvelabs.io/dashboard/api-keys" target="_blank">API Keys</a> page.
</Note>
Path parameters
knowledge_store_id
The unique identifier of the knowledge store.
Query parameters
page
A number that identifies the page to retrieve.
Default: 1.
page_limit
The number of items to return on each page.
Default: 10.
Max: 50.
sort_by
The field to sort on.
Allowed values:
sort_option
The sorting direction. The following options are available:
- `asc`
- `desc`
**Default**: `desc`.
status
Filter by one or more item processing statuses. The following options are available:
- `queued`: The item has been submitted and is waiting to be processed.
- `pending`: The item has been dispatched and is waiting for available processing capacity.
- `processing`: The item is currently being processed.
- `ready`: The item has been successfully processed.
- `failed`: The item processing has failed.
To filter by multiple statuses, specify the `status` parameter for each value:
```
status=queued&status=pending
```
Allowed values:
Response
The knowledge store items have been successfully retrieved.
data
An array containing the knowledge store items.
page_info
An object that provides information about pagination.
Errors
400
Bad Request Error